roar_str2codec(3)

NAME
roar_str2codec - Get codec ID by codec name

roar_codec2str - Get codec name by ID

SYNOPSIS

 #include <roaraudio.h>

 int roar_str2codec (char * codec);
 char * roar_codec2str (int codec);

DESCRIPTION
roar_str2codec converts a string to a RoarAudio Codec ID. It also supports some common aliases. roar_codec2str is the reverse operation of roar_str2codec: It get's a name by the ID given. If a codec is valid the following should be true:
 roar_str2codec(roar_codec2str(codec)) == codec

Note that because of aliasing and case insensitivity the revers operation needs not to be true.

THREAD SAFETY
Because roar_codec2str returns a static unique pointer for each codec it is fully thread safe.

RETURN VALUE
On success roar_str2codec returns a codec ID. On error, -1 is returned. roar_codec2str returns the name of the codec or NULL on error. You must not free this pointer or write to it.

EXAMPLES
FIXME

SEE ALSO
libroar(7), RoarAudio(7).